/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.requestDto;

import org.hibernate.validator.constraints.NotBlank;

/**
 * 单表生成Entity
 * 
 * @author jadyn.wu
 * @version 20190410
 */
public class MdeOrdersReq {

	private String orderId; // 订单编号（采番规则：P/E+YYMMDD+10位hashCode取正+3位随机数）
	
	private String orderSource; // 订单来源[ 1-PC, 2-微信 ]
	
	private String type; // 0会员套餐订单 1个人服务,2企业服务,3商品购买，4积分兑换
	
	@NotBlank(message = "开票类型区分|invType can not be null")
	private String invType; // 类型区分[0-不开票；1-普票；2-增值税发票]
	
	private String invTitle; // 发票抬头
	private String taxationNo; // 税号
	private String ltdAdd; // 公司地址
	private String ltdTel; // 公司电话
	private String openingBank; // 开户行
	private String accountNumber; // 开户账号
	private String invContent; // 开票内容
	private String invMoney; // 开票金额
	private String recipientName; // 收件人姓名
	private String recipientTel; // 收件人电话
	private String recipientAdd; // 收件地址
	
    private Integer versionNo;

	@NotBlank(message = "套餐id不能为空|The packageid can not be null")
	private String pkgId; // 套餐id（会员套餐表id）
	
	@NotBlank(message = "支付方式不能为空|payType can not be null")
	private String payType; // 支付方式[1-微信；2-支付宝；3-线下汇款]
	
	private String tcCode;//券类别码
	private String tdCode;// 券详细码
	
	@NotBlank(message = "购买类型不能为空|The type of the purchase can not be empty")
	private String priceId; // 价格id
	
	private String wxCode;// 微信支付时需要的参数

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getOrderSource() {
		return orderSource;
	}

	public void setOrderSource(String orderSource) {
		this.orderSource = orderSource;
	}

	
	public String getInvType() {
		return invType;
	}

	public void setInvType(String invType) {
		this.invType = invType;
	}

	public String getInvTitle() {
		return invTitle;
	}

	public void setInvTitle(String invTitle) {
		this.invTitle = invTitle;
	}

	public String getTaxationNo() {
		return taxationNo;
	}

	public void setTaxationNo(String taxationNo) {
		this.taxationNo = taxationNo;
	}

	public String getLtdAdd() {
		return ltdAdd;
	}

	public void setLtdAdd(String ltdAdd) {
		this.ltdAdd = ltdAdd;
	}

	public String getLtdTel() {
		return ltdTel;
	}

	public void setLtdTel(String ltdTel) {
		this.ltdTel = ltdTel;
	}

	public String getOpeningBank() {
		return openingBank;
	}

	public void setOpeningBank(String openingBank) {
		this.openingBank = openingBank;
	}

	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getInvContent() {
		return invContent;
	}

	public void setInvContent(String invContent) {
		this.invContent = invContent;
	}

	public String getInvMoney() {
		return invMoney;
	}

	public void setInvMoney(String invMoney) {
		this.invMoney = invMoney;
	}

	public String getRecipientName() {
		return recipientName;
	}

	public void setRecipientName(String recipientName) {
		this.recipientName = recipientName;
	}

	public String getRecipientTel() {
		return recipientTel;
	}

	public void setRecipientTel(String recipientTel) {
		this.recipientTel = recipientTel;
	}

	public String getRecipientAdd() {
		return recipientAdd;
	}

	public void setRecipientAdd(String recipientAdd) {
		this.recipientAdd = recipientAdd;
	}

	public String getPkgId() {
		return pkgId;
	}

	public void setPkgId(String pkgId) {
		this.pkgId = pkgId;
	}

	public String getPayType() {
		return payType;
	}

	public void setPayType(String payType) {
		this.payType = payType;
	}

	public String getTcCode() {
		return tcCode;
	}

	public void setTcCode(String tcCode) {
		this.tcCode = tcCode;
	}

	public String getTdCode() {
		return tdCode;
	}

	public void setTdCode(String tdCode) {
		this.tdCode = tdCode;
	}


	public Integer getVersionNo() {
		return versionNo;
	}

	public void setVersionNo(Integer versionNo) {
		this.versionNo = versionNo;
	}

	public String getWxCode() {
		return wxCode;
	}

	public void setWxCode(String wxCode) {
		this.wxCode = wxCode;
	}

	public String getPriceId() {
		return priceId;
	}

	public void setPriceId(String priceId) {
		this.priceId = priceId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
}